/********************************************
* main.css
* styling for the site
*
*********************************************/

body {
	background-color: lightblue;
	text-align: center;
	justify-content: center;
}

div.header {
	margin: 0 auto;
	justify-content: center;
	text-align: center;
}

div.middle {
	margin: 0 auto;
	justify-content: center;
	text-align: center;
}

div.footer {
	margin: 0 auto;
	justify-content: center;
	text-align: center;
}

div.hidden {
	margin: 0 auto;
	justify-content: center;
	text-align: center;
	visibility: hidden;
}


h1 {
	color: black;
}

button {
    display: inline-block;
    border: none;
    padding: 1rem 2rem;
    margin: 0;
    text-decoration: none;
    background: #0069ed;
    color: #ffffff;
    font-family: sans-serif;
    font-size: 1rem;
    cursor: pointer;
    text-align: center;
    border-radius: 25px;
}

/* hover changes colour */
button:hover {
    background: #0053ba;
}

/* shadow for clicked button */
button:active {
    /* transform: scale(0.99); */
    /* Scaling button to 0.98 to its original size */
    transform: scale(0.98); 
    /* Lowering the shadow */
    box-shadow: 3px 2px 22px 1px rgba(0, 0, 0, 0.24);
}

tr {
	margin: 0 auto;
	text-align: center;
    justify-content: center;
}

td.topPadded {
	padding-top: 30px;	
	margin: 0 auto;
	text-align: center;
    justify-content: center;
}

.td {
	margin: 0 auto;
	text-align: center;
    justify-content: center;

}

table {
	margin: 0 auto;
	text-align: center;
    justify-content: center;
}

textarea {
	margin: 0 auto;
	background: white;
	text-align: center;
	justify-content: center;
}

/* for error messages */
.errorMsg {
   color: blue;
}
